	PAGE 55,132

CODE    SEGMENT PARA
	ASSUME CS:CODE,DS:CODE


	ORG 100H

;-------------- TEST  ON FLAGS -------------------------

START:  JMP  HERE      ; UNCONDITIONAL

; THE REST OF THESE JUMP INSTRUCTIONS ARE SKIPPED

	JE   HERE      ; JUMP ON EQUAL/JZ  =
	JP   HERE      ; JUMP ON PARITY/JPE PARITY = 1
	JO   HERE      ; JUMP ON OVERFLOW
	JS   HERE      ; JUMP ON SIGN
	JNE  HERE      ; NOT ZERO
	JNP  HERE      ; NO PARITY/JPO
	JNO  HERE      ; JMP NO OVERFLOW
	JNS  HERE      ; NOT SIGN

;------------- SIGNED ARITHMETIC ----------------------
	JL   HERE      ; LESS THAN ZERO/JNGE <
	JLE  HERE      ; LESS THAN OR EQUAL ZERO/JNG <=
	JNL  HERE      ; NOT LESS THAN ZERO/JGE  >=
	JG   HERE      ; GREATER THAN/JNLE >

;--------------- UNSIGNED ARITHMETIC ------------------

	JB   HERE      ; BELOW/JNAE OR JC
	JBE  HERE      ; BELOW OR EQUAL/JNA
	JAE  HERE      ; ABOVE OR EQUAL/JNB/JN
	JA   HERE      ; ABOVE/JNBE

; ----------- CONDITIONAL EXAMPLE ------------------

HERE:   MOV BX,0
BACK:   INC BX
	CMP BX,4
	JNE BACK       ; BACKWARDS
	NOP

CODE   ENDS
       END START

